aboutsummaryrefslogtreecommitdiff
path: root/update-version.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-version.sh')
-rw-r--r--update-version.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/update-version.sh b/update-version.sh
new file mode 100644
index 0000000..5f5bd93
--- /dev/null
+++ b/update-version.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# We have hardcoded version strings in the various scripts, this will
+# update them all. Don't run directly, use "make version".
+
+VERSION="$1"
+if [ -z "$VERSION" ]; then
+ echo "$0: missing VERSION argument" 1>&2
+ exit 1
+fi
+
+sed -i "s,^VER=.*,VER=$VERSION," sbopkglint
+sed -i "/^\$VERSION=/s,=.*,=\"$VERSION\";," sbolint sbofixinfo
+sed -i "s,^VERSION=.*,VER=$VERSION," sbodl